cowboy_req:resp_headers(3)

NAME

cowboy_req:resp_headers - Response headers

DESCRIPTION
    resp_headers(Req :: cowboy_req:req()) -> cowboy:http_headers()

Return all response headers.

ARGUMENTS

Req
    The Req object.

RETURN VALUE

Headers are returned as a map with keys being lowercase binary strings, and values as binary strings.

CHANGELOG
    • 2.0: Function introduced.

EXAMPLES

Get all response headers
    Headers = cowboy_req:resp_headers(Req).

SEE ALSO

cowboy_req(3), cowboy_req:resp_header(3), cowboy_req:set_resp_header(3), cowboy_req:set_resp_headers(3)